For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DashboardAPI PricingGet an API key
  • Guides
    • Introduction
    • Getting started
    • Use with AI agents
    • Examples
    • Authentication
    • Handling async tasks
    • File uploads
    • File hydration
    • Embedding videos
    • Errors
    • Rate limits
    • Libraries & SDKs
  • REST API Reference
    • Overview
    • Workflows
        • POSTGenerate image
        • POSTGenerate video clip
        • POSTText to speech
        • POSTGenerate sound effect
        • POSTGenerate avatar clip
        • POSTVectorize image
        • POSTRemove background from an image
        • POSTRemove background from a video
        • POSTUpscale an image
        • POSTUpscale a video
        • POSTCancel tool execution
        • GETGet tool execution info
        • GETList files
        • POSTSearch files
        • GETGet file
        • POSTCreate file upload
        • POSTHydrate file
        • POSTArchive file
        • POSTEnable public preview
        • POSTDisable public preview
        • GETList avatar presenters
        • GETList TTS voices
        • GETList webhooks
        • POSTCreate webhook
        • DELDelete webhook
  • Webhook events
    • Overview
    • Changelog
LogoLogo
DashboardAPI PricingGet an API key
REST API ReferenceEndpointsResources

List TTS voices

GET
https://api.videogen.io/v1/resources/tts-voices
GET
/v1/resources/tts-voices
1import { VideoGenClient } from "@videogen/sdk";
2
3const client = new VideoGenClient({ token: "YOUR_TOKEN" });
4await client.resources.listTtsVoices();
200Retrieved
1{
2 "ttsVoices": [
3 {
4 "voiceId": "string",
5 "languageCode": "string",
6 "displayName": "string",
7 "displayGender": "MALE",
8 "supportsDirectToolExecution": true,
9 "supportsAllLanguages": true,
10 "isDeprecated": true,
11 "accent": "string",
12 "description": "string"
13 }
14 ]
15}

List all available text-to-speech voices. Pass a voiceId from the response to the text-to-speech endpoint.

Was this page helpful?
Previous

List webhooks

Next
Built with

Authentication

AuthorizationBearer

API key from app.videogen.io/developers. The full key is only shown once when you create it.

Query parameters

includeDeprecatedVoicesbooleanOptionalDefaults to false
When true, includes deprecated voices in the response. Defaults to false.

Response

List of TTS voices. Pass a voiceId to POST /v1/tools/text-to-speech.

ttsVoiceslist of objects